{
  pkgs,
  lib,
}: let
  inherit (builtins) fromJSON mapAttrs readFile;
  inherit (pkgs) callPackage;
in
  {
    starbound = callPackage ./starbound {};
    prometheus-fail2ban-exporter = callPackage ./prometheus/fail2ban-exporter.nix {
      sources = pkgs.callPackage ./_sources_pkgs/generated.nix {};
    };
    afvalcalendar = callPackage ./afvalcalendar {};
  }
  // (
    # Add nextcloud apps
    let
      mkNextcloudApp = pkgs.callPackage ./mkNextcloudApp.nix {};
      sources = fromJSON (readFile ./_sources_nextcloud/generated.json);
    in
      mapAttrs (_: source: mkNextcloudApp source) sources
  )
